class Orologio {

	private int ore, minuti, secondi;
	
	public Orologio(int o, int m, int s) {
		ore = o;
		minuti = m;
		secondi = s;
	}
	
	public Orologio() {
		// considero che siano le 0:0.0
		ore = 0;
		minuti = 0;
		secondi = 0;
	}
	
	public Orologio(int s) {
		// soluzione 1 
		ore = s/3600;
		minuti = (s%3600)/60;
		secondi = (s%3600)%60;

		// soluzione 2
		ore = 0;
		while(s >= 3600) {
			ore++;
			s -= 3600;
		}
		
		minuti = 0;
		while(s >= 60) {
			minuti++;
			s -= 60;
		}
		
		secondi = s;
	}
	
	public String toString() {
		String time = ore + ":" + minuti + "." + secondi;
		return time;
	}
	
	public int getH() {
		return ore;
	}
	
	public void setH(int o) {
		ore = o;
	}
	
	public int getM() {
		return minuti;
	}
	
	public void setM(int m) {
		minuti = m;
	}
	
	public int getS() {
		return secondi;
	}
	
	public void setS(int s) {
		secondi = s;
	}
	
	public static void main(String[] args) {
		Orologio o1 = new Orologio();
		Orologio o2 = new Orologio(3722);
		Orologio o3 = new Orologio(10,23,34);
		
		System.out.println(o1);
		System.out.println(o2);
		System.out.println(o3);
		
		o1.setH(o1.getH()+1);
		System.out.println(o1);
		
		System.out.println(o1.ore); // questa chiamata funziona solo qui, perche' il campo ore e' privato!
		
	}
	
	
}
